Subject: Re: bug#69726: Bug in guix pull
From: Simon Tournier <[email-masked]>
To: Christian Mueller <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 10:53:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for the report.  And sorry for the late reply.

On Mon, 11 Mar 2024 at 09:19, Christian Mueller <[email-masked]> wrote:
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Authenticating channel 'guix', commits 9edb3f6 to b0b988c (72.537 new commits)...
> Building from this channel:
>   guix      https://git.savannah.gnu.org/git/guix.git b0b988c

[...]

> ./guix/store.scm:1419:15: ERROR:
>   1. &store-protocol-error:
>       message: "`/usr/bin/guix substitute' died unexpectedly"
>       status: 1
> guix pull: error: You found a bug: the program '/gnu/store/xp7pb0hdzicrrwz86b0fj89sy94lg6kg-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "b0b988c41c9e0e591274495a1b2d6f27fcdae15a"; system: "x86_64-linux";
> host version: "1.3.0"; pull-version: 1).

I think this bug is transient and/or part of a series, see [1].

Therefore, I’m closing

    https://issues.guix.gnu.org/issue/69726

Feel free to reopen if I’m missing something.

Cheers,
simon

1: toward a plan? (was Re: Reducing "You found a bug" reports)
Simon Tournier <[email-masked]>
Tue, 10 Sep 2024 16:51:09 +0200
id:[email-masked]
https://lists.gnu.org/archive/html/guix-devel/2024-09
https://yhetil.org/guix/[email-masked]